Bug 3470 - Unregister functionality missing in ServiceGroupRegistrationClient?
: Unregister functionality missing in ServiceGroupRegistrationClient?
Status: RESOLVED FIXED
: MDS4
wsrf_servicegroup
: 4.0.0
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-06-12 20:45 by
Modified: 2005-07-20 16:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-12 20:45:25
From my reading the documentation on the ServiceGroupRegistrationClient class
(http://www-
unix.globus.org/api/javadoc-4.0.0/globus_wsrf_servicegroup/org/globus/wsrf/impl/servicegroup/
client/ServiceGroupRegistrationClient.html) I can find no way to
unregister/cancel an existing 
registration.  This is a problem for the Build A Service tutorial, as I need to
stop the 
ServiceGroupRegistrationClient from maintaining the registration on a resource
once it has been 
destroyed.
------- Comment #1 From 2005-06-20 19:39:31 -------
I've vommitted code to CVS trunk to address this.  The register() method now 
returns the timer instance created instead of void.  The returned timer 
instance can then be used as a parameter to the cancel() method in order to 
cancel a single instance of a registration.
------- Comment #2 From 2005-06-20 19:41:20 -------
I have committed the aforementioned code, not vommited :)
------- Comment #3 From 2005-07-20 16:42:11 -------
Fixed for 4.0.1